Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Interface MutableJimiImage

All Known Subinterfaces:
  BitRasterImage, ByteRasterImage, ChanneledIntRasterImage, IntRasterImage, MutableJimiRasterImage

public abstract interface MutableJimiImage
extends JimiImage

Interface for raster images created for modification.

Method Summary
`boolean` | `mustWaitForOptions()`
`void` | `setDecodingController(JimiDecodingController controller)` Set a decoding controller for JimiImages belonging to decoders.
`void` | `setError()` Indicate that an error has prevented the image from being decoded.
`void` | `setFinished()` Indicate that a set of image data setting has ended.
`void` | `setImageConsumerHints(int hints)` Set the "hints" for image production to give the image an indication of how data will be set.
`void` | `setOptions(FormatOptionSet options)` Set the format-specific options associated with this image.
`void` | `setWaitForOptions(boolean wait)`

Methods inherited from interface com.sun.jimi.core.JimiImage
`getFactory, getImageProducer, getOptions, isError, waitFinished`

Method Detail

### setImageConsumerHints

    public void setImageConsumerHints(int hints)

  Set the "hints" for image production to give the image an indication of how data will be set.
  Parameters:
    `hints` - the hints. use the same constants as java.awt.image.ImageConsumer for specifying information.

### setFinished

    public void setFinished()

  Indicate that a set of image data setting has ended.

### setError

    public void setError()

  Indicate that an error has prevented the image from being decoded.

### setDecodingController

    public void setDecodingController(JimiDecodingController controller)

  Set a decoding controller for JimiImages belonging to decoders. This controller can be used to request that decoding be started.

### setOptions

    public void setOptions(FormatOptionSet options)

  Set the format-specific options associated with this image.
  Specified by:
    setOptions in interface JimiImage

### setWaitForOptions

    public void setWaitForOptions(boolean wait)

### mustWaitForOptions

    public boolean mustWaitForOptions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD